local showUpdate = false

function draw()
    UiMakeInteractive()

    UiPush()
        UiAlign("center middle")
        UiFont("MOD/common/fonts/ManderleyRegular.ttf", 32)
        UiColor(9, 9, 9)

        UiTranslate(UiCenter(), 220)
        UiPush()
            UiScale(3)
            UiText("Saggy Vehicle Pack")
        UiPop()

        UiTranslate(-0, 72)

        if UiTextButton("Vehicles") then StartLevel("", "MOD/Vehicles.xml") end
        UiTranslate(0, 52)

        if UiTextButton("Racetrack") then StartLevel("", "MOD/Racetrack.xml") end
        UiTranslate(0, 32)

        UiTranslate(0, 22)

        if UiTextButton("New Update") then
            showUpdate = not showUpdate
        end

        UiTranslate(0, 22)

        if showUpdate then
            UiPush()
                local boxWidth = 600
                local boxHeight = 200
                local boxX = -650 -- Adjust horizontal position
                local boxY = 530 -- Adjust vertical position

                UiTranslate(boxX, boxY)
                UiImageBox("MOD/common/ui/transparent_graybox.png", boxWidth, boxHeight) -- Use the transparent box image
                UiColor(255, 255, 255)
                UiFont("MOD/common/fonts/ManderleyRegular.ttf", 18)
                UiAlign("left")
                UiWordWrap(boxWidth - 18) -- Adjust word wrap to fit within the box
                UiTranslate(-290, -65) -- Add padding inside the box
                UiText("New update: 2006 Porsche Cayenne, 1985 Lancia Delta S4 Stradale, 1986 Lancia Delta S4 Broup B, 1979 Aston Martin V8 Vantage, 2019 Mercedes Benz Sprinter, 2019 Mercedes Benz Sprinter Delivery Van, 1998 Audi B5 S4, 1997 BMW E36 M3, 2003 Citroen Xsara, 2003 Citroen Xsara Coupe VTS, 2003 Citroen Xsara T4 WRC, and 1963 Chevrolet Corvette Stingray are added.")
            UiPop()
        end
    UiPop()
end